## gpart 0.1f

=== src/Makefile ===
#
# gpart src Makefile
#
include ../inst.defs
include ../make.defs

CFLAGS+=-DVERSION=\"$(version)\"
ifeq ($(shell uname),Linux)
LIBS=-ldl
endif

ifdef DEBUG
CFLAGS+=-g
LDFLAGS+=-g
endif

ifdef GPART_LANG
CFLAGS+=-DGPART_LANG=\'$(GPART_LANG)\'
endif


mod=ext2 lswap fat bsddl ntfs hpfs s86dl minix rfs hmlvm
modobj=$(foreach m,$(mod),gm_$(m).o)
obj=gpart.o gmodules.o disku.o l64seek.o $(modobj)
src=$(obj:.o=.c)
hdr=$(wildcard *.h)
allsrc=Makefile $(src) $(hdr)

all: $(prg)

$(prg): $(obj)
	$(CC) -o $@ $(LDFLAGS) $(obj) $(LIBS)

install: $(prg)
	$(INSTALL) -d $(bindir)
	$(INSTALL) -s $(prg) $(bindir)

uninstall:
	$(RM) $(bindir)/$(prg)

clean:
	@$(RM) $(obj) $(prg) .depend

static:
	@$(MAKE) LDFLAGS=-static

rcscheck:
	@for f in $(allsrc); do \
		rcsdiff $$f >/dev/null 2>&1 || echo "Please checkin $$f"; \
	done

checkin:
	@for f in $(allsrc); do \
		rcsdiff $$f >/dev/null 2>&1 || ci -m"v$(version)" -l $$f; \
	done


.depend: $(src)
	@$(MAKEDEP) $(src) > $@

-include .depend

## gpart 0.1h

=== Makefile ===
#
# gpart Makefile
#
include inst.defs
include make.defs

all: gpart

gpart:
	$(MAKE) -C src
	$(MAKE) -C man

install:
	$(MAKE) -C src install
	$(MAKE) -C man install

uninstall:
	$(MAKE) -C src uninstall
	$(MAKE) -C man uninstall

clean:
	$(MAKE) -C src clean
	$(MAKE) -C man clean

=== man/Makefile ===
#
# gpart man Makefile
#
include ../inst.defs
include ../make.defs


all: $(prg).$(manext)

$(prg).$(manext): $(prg).man
	@sed -e 's/%MANEXT%/$(manext)/g' \
	-e 's/%VERSION%/$(version)/g' < $< > $@

$(prg).$(manext).ps: $(prg).$(manext)
	@groff -man $< > $@

clean:
	@$(RM) $(prg).$(manext) $(prg).$(manext).ps

install: $(prg).$(manext)
	$(INSTALL) -d $(mandir)
	$(INSTALL) -d $(mandir)/man$(manext)
	$(INSTALL) -m 0444 $(prg).$(manext) $(mandir)/man$(manext)

uninstall:
	$(RM) $(mandir)/man$(manext)/$(prg).$(manext)

=== src/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 
-mod=ext2 lswap fat bsddl ntfs hpfs s86dl minix rfs hmlvm
+mod=ext2 lswap fat bsddl ntfs hpfs s86dl minix rfs hmlvm qnx4 beos xfs
 modobj=$(foreach m,$(mod),gm_$(m).o)
 obj=gpart.o gmodules.o disku.o l64seek.o $(modobj)
 src=$(obj:.o=.c)

## gpart 0.2.2

=== debian/changelog ===
gpart (1:0.2.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 12:49:01 -0300

gpart (1:0.2.2-2) unstable; urgency=medium

  * Upload to unstable. Welcome Jessie Stable!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Apr 2015 18:25:43 -0300

gpart (1:0.2.2-1) experimental; urgency=medium

  * New upstream release. (Closes: #397632, #636814)
  * Package version: I was mistaken in my last upload. The version should have
      been 0.2.1, not 2.1. So, I will use the epoch 1: from now.
  * debian/copyright: updated the upstream copyright years.
  * debian/patches/: removed. The upstream fixed the source code. Thanks to
      Baruch Even.
  * debian/README.Debian: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 12 Mar 2015 14:04:38 -0300

gpart (2.1-1) experimental; urgency=medium

  * New upstream release.
  * Using dh-autoreconf.
  * debian/copyright:
      - Added Baruch Even to upstream copyright.
      - Fixed the copyright and license for src/gm_bsddl.h file.
      - Renamed (by upstream) the file src/gm_rfs.h to src/gm_reiserfs.h.
  * debian/patches/:
      - fix-manpage: added to fix some hyphens used as minus sign in new
        manpage.
      - Removed patches (the upstream fixed the source code - thanks!):
          ~ 01-conglomeration
          ~ 02-ntfs-winxp
          ~ 03-open-mode
          ~ 04-imagefile
          ~ 05-add-hardening
      -  Renamed patch:
          ~ 06-fix-manpage: renamed to fix-manpage and updated.
  * debian/README.Debian: added to show the changes made by upstream to
      create GPart v2.
  * debian/rules: changed from DEB_CFLAGS_MAINT_APPEND and
      DEB_LDFLAGS_MAINT_APPEND variables to DEB_BUILD_MAINT_OPTIONS,
      to improve the GCC hardening. This version allow this variable
      instead the last used.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Mar 2015 16:46:50 -0300

gpart (0.1h-12) experimental; urgency=medium

  * New co-maintainer.
  * Updated the upstream homepage. (Closes: #630336)
  * Migrations:
      - DebSrc to 3.0 version.
      - DH level to 9.
  * debian/control:
      - Added the 'forensics' word to long description.
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated all copyright files, authors and dates.
      - Updated the file header.
      - Updated the GPL-2 license text.
  * debian/gpart.docs: renamed to docs.
  * debian/patches/:
      - Added the 'Last-Update' field to 02-ntfs-winxp, 03-open-mode and
        04-imagefile patches.
      - Added 05-add-hardening to implement the GCC hardening.
      - Added 06-fix-manpage to fix some hyphens used as minus sign.
      - Removed all .patch extensions.
      - Tried to discover/describe each action, creating headers for all
        authors and dates. However, is very hard say that the result is
        100% reliable.
  * debian/rules:
      - Full updated.
      - Added DEB_CFLAGS_MAINT_APPEND and DEB_LDFLAGS_MAINT_APPEND to fix
        issues shown by blhc command.
  * debian/source.lintian-overrides: removed because produces an
      undesirable action.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Mar 2015 11:45:34 -0300

gpart (0.1h-11) unstable; urgency=low

  * Minimizing rules file.
  * Adding forgotton seperator in build target of rules.
  * Setting uploaders to Christophe.

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 21:14:51 +0200

gpart (0.1h-10) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 11:56:58 +0200

gpart (0.1h-9) unstable; urgency=low

  * Adding patch from Josef Spillner <2005@kuarepoti-dju.net> to add
    support for image files.

 -- Daniel Baumann <daniel@debian.org>  Sat, 30 May 2009 20:17:59 +0200

gpart (0.1h-8) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Using correct rfc-2822 date formats in changelog.
  * Upgrading package to standards 3.8.1.
  * Updating year in copyright.
  * Tidy rules file.
  * Using quilt rather than dpatch.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:21:14 +0200

gpart (0.1h-7) unstable; urgency=low

  [ Daniel Baumann ]
  * Replacing obsolete dh_clean -k with dh_prep.

  [ Christophe Monniez ]
  * Adding patch from James Westby to fix a call to open without
    specifying a mode (Closes: #506816).

  [ Daniel Baumann ]
  * Actually adding the file 03-open-mode.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Tue, 25 Nov 2008 08:35:00 +0100

gpart (0.1h-6) unstable; urgency=low

  * Using patch-stamp rather than patch in rules file.
  * Adding patch from Trace Green <debian.y.h.xu@gmail.com> to add support for
    NTFS of Windows XP (Closes: #474321).

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Nov 2008 16:23:00 +0100

gpart (0.1h-5) unstable; urgency=low

  * New maintainer (Closes: #487731).
  * Removing useless whitespaces at EOL and EOF in all debian files.
  * Reverting debian changes to upstream, using dpatch to modify upstream.
  * Upgrading package to debhelper 7.
  * Upgrading package to standards 3.8.0.
  * Adding homepage field in control file.
  * Adding vcs fields in control file.
  * Sorting fields in control file.
  * Adding ${misc:Depends} to depends.
  * Rewrapping package long-description in control file.
  * Rewriting copyright file in machine-interpretable format.
  * Removing not usefull README.Debian.
  * Removing not usefull TODO.Debian.
  * Updating author email address in copyright file.
  * Removing not usefull LSM file from docs debhelper file.
  * Removing patch left-over in debian directory.
  * Rewriting rules file from scratch.
  * Removing unused dirs debhelper file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 19 Sep 2008 08:39:00 +0200



=== debian/control ===
Source: gpart
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.6
Homepage: https://github.com/baruch/gpart
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/gpart.git
Vcs-Git: git://anonscm.debian.org/forensics/gpart.git

Package: gpart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Guess PC disk partition table, find lost partitions
 Gpart is a tool which tries to guess the primary partition table of a PC-type
 disk in case the primary partition table in sector 0 is damaged, incorrect or
 deleted.
 .
 It is also good at finding and listing the types, locations, and sizes of
 inadvertently-deleted partitions, both primary and logical. It gives you the
 information you need to manually re-create them (using fdisk, cfdisk, sfdisk,
 etc.).
 .
 The guessed table can also be written to a file or (if you firmly believe the
 guessed table is entirely correct) directly to a disk device.
 .
 Currently supported (guessable) filesystem or partition types:
 .
  * BeOS filesystem type.
  * FreeBSD/NetBSD/386BSD disklabel sub-partitioning scheme used on Intel
    platforms.
  * Linux second extended filesystem.
  * MS-DOS FAT12/16/32 "filesystems".
  * IBM OS/2 High Performance filesystem.
  * Linux LVM physical volumes (LVM by Heinz Mauelshagen).
  * Linux swap partitions (versions 0 and 1).
  * The Minix operating system filesystem type.
  * MS Windows NT/2000 filesystem.
  * QNX 4.x filesystem.
  * The Reiser filesystem (version 3.5.X, X > 11).
  * Sun Solaris on Intel platforms uses a sub-partitioning scheme on PC hard
    disks similar to the BSD disklabels.
  * Silicon Graphics' journalling filesystem for Linux.
 .
 Gpart is useful in recovery actions and forensics investigations.

## gpart 0.3

=== debian/changelog ===
gpart (1:0.3-6) unstable; urgency=medium

  [ Aleksey Kravchenko ]
  * Import upstream patches to fix division by zero (Closes: #848881).
  * Bump std-version to 4.3.0.
  * Add upstream metadata.

  [ Joao Eriberto Mota Filho ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to
        'debhelper-compat' in Build-Depends field.
  * debian/copyright:
      - Added rights for Aleksey Kravchenko.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 14 Jan 2019 16:54:39 -0200

gpart (1:0.3-5) unstable; urgency=medium

  * debian/tests/control: added needs-root as restriction.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Oct 2018 01:18:08 -0300

gpart (1:0.3-4) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 11.
  * debian/control:
      - Added fdisk and util-linux in Suggests file. Thanks to Andreas
        Henriksson. (Closes: #872132)
      - Bumped Standards-Version to 4.2.1.
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright:
      - Added rights for Raphaël Hertzog.
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/rules: removed '--with autoreconf' because it is default since DH 10.
  * debian/tests/control: created to perform a trivial test.

  [ Raphaël Hertzog ]
  * debian/control:
      - Changed Vcs-* URLs to salsa.debian.org.
      - Updated team maintainer address to Debian Security Tools
        <team+pkg-security@tracker.debian.org>.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Sep 2018 21:52:16 -0300

gpart (1:0.3-3) unstable; urgency=medium

  * debian/control: fixed the Vcs-* fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Mar 2016 10:59:14 -0300

gpart (1:0.3-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Fixed a typo in long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra sources to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Feb 2016 16:06:09 -0300

gpart (1:0.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #705076)
  * debian/control: updated the long description.
  * debian/copyright:
      - Added rights for Martin Wilck.
      - Added the Upstream-Contact field to header.
  * debian/docs: removed. Now, the upstream is
      installing the README.md file.
  * README.Debian: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Nov 2015 21:17:55 -0200

=== debian/control ===
Source: gpart
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Homepage: https://github.com/baruch/gpart
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gpart
Vcs-Git: https://salsa.debian.org/pkg-security-team/gpart.git

Package: gpart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fdisk | util-linux (<< 2.29.2-3~)
Description: Guess PC disk partition table, find lost partitions
 Gpart is a tool which tries to guess the primary partition table of a PC-type
 disk in case the primary partition table in sector 0 is damaged, incorrect or
 deleted.
 .
 It is also good at finding and listing the types, locations, and sizes of
 inadvertently-deleted partitions, both primary and logical. It gives you the
 information you need to manually re-create them (using fdisk, cfdisk, sfdisk,
 etc.).
 .
 The guessed table can also be written to a file or (if you firmly believe the
 guessed table is entirely correct) directly to a disk device.
 .
 Currently supported (guessable) filesystem or partition types:
 .
  * BeOS filesystem type.
  * BtrFS filesystem type.
  * FreeBSD/NetBSD/386BSD disklabel sub-partitioning scheme used on Intel
    platforms.
  * Linux second extended filesystem (Ext2).
  * MS-DOS FAT12, FAT16 and FAT32 "filesystems".
  * IBM OS/2 High Performance filesystem.
  * Linux LVM and LVM2 physical volumes.
  * Linux swap partitions (versions 0 and 1).
  * The Minix operating system filesystem type.
  * MS Windows NT/2000 filesystem.
  * QNX 4.x filesystem.
  * The Reiser filesystem (version 3.5.X, X > 11).
  * Sun Solaris on Intel platforms uses a sub-partitioning scheme on PC hard
    disks similar to the BSD disklabels.
  * Silicon Graphics journaled filesystem for Linux.
 .
 Gpart is useful in recovery actions and forensics investigations.

=== debian/tests/control ===
Test-Command: gpart -L
Restrictions: needs-root

=== debian/watch ===
version=4
https://github.com/baruch/gpart/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
